gnutls_x509_crq_set_subject_alt_othername(3)

NAME
gnutls_x509_crq_set_subject_alt_othername - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_set_subject_alt_othername(gnutls_x509_crq_t crq, const char * oid, const void * data, unsigned int data_size, unsigned int flags);

ARGUMENTS

gnutls_x509_crq_t crq
    a certificate request of type gnutls_x509_crq_t

const char * oid
    is the othername OID

const void * data
    The data to be set

unsigned int data_size
    The size of data to be set

unsigned int flags
    GNUTLS_FSAN_SET to clear previous data or GNUTLS_FSAN_APPEND to append.

DESCRIPTION
This function will set the subject alternative name certificate extension. It can set the following types:

The values set must be binary values and must be properly DER encoded.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.5.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/